Subject: bug#5115: emacsclientw opens a file in short filename format like 8.3 DOS format

From: "Daniel (Youngwhan) Song" <[email-masked]>
Date: Thu, 3 Dec 2009 16:09:56 -0800

Hi, Juanma

I have used a client program "Total Commander", and I set it up with

c:\Program Files\emacs\bin\emacsclientw.exe ...

Then, the emacs shows xxx~1.txt

However, after your response, I slightly changed by putting quotation mark
between the executable path like this:

"c:\Program Files\emacs\bin\emacsclientw.exe" ...

Then, the problem was gone.

I don't know the reason anyway, but it does not look it is the problem in
emacs, rather it may be in the client program like the "Total Commander."

Thank you for checking it out, and sorry for interrupting you with this one.

Thank you!

Best Regards,
Daniel (Youngwhan) Song

On Thu, Dec 3, 2009 at 3:49 PM, Juanma Barranquero <[email-masked]> wrote:

> On Thu, Dec 3, 2009 at 19:42, Daniel (Youngwhan) Song
> <[email-masked]> wrote:
>
> > However, whenever a file is opened through emacsclientw, the file name
> shows
> > 8.3 dos format, not Long Fileformat in Windows. For example, if the file
> > name is "abcdefghijk.txt", it opens "ABCDEF~1.TXT".
> >
> > Is this a bug or is there other option to avoid this problem?
>
> I don't see that problem, with either 23.1 or the current trunk.
>
> Could you please send a step-by-step recipe, starting from  "emacs -Q"?
>
> Also, if you cannot send mail from Emacs on Windows, please do M-x
> report-emacs-bug and send the content of the *mail* buffer to
> [email-masked] by using your preferred MUA.
>
> Thanks,
>
>    Juanma
>